"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crunchMetrics_1 = require("./crunchMetrics");
/* eslint max-params: ["error", 6] */
/* eslint-env es6 */
const prepareIssuesData = (issuesTree, node, level, userConfig) => {
    if (node.key !== undefined) {
        node.level = level;
        node.metrics = crunchMetrics_1.default(issuesTree, node);
        node.isLeaf = !issuesTree.hasChildren(node);
    }
    for (const children of issuesTree.childrenIterator(node)) {
        prepareIssuesData(issuesTree, children, level + 1, userConfig);
    }
    return [];
};
exports.default = prepareIssuesData;
